﻿@model CancelAndReminderInvoiceViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1 ng-if="pageMode=='Cancel'">
                Cancel Invoice
            </h1>
            <h1 ng-if="pageMode=='Reminder'">
                Send payment reminder
            </h1>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <form>
        <div style="display:table-row">
            <div style="display:table-cell;text-align:right;font-size:20px;">
                <span>
                    To:
                </span>
            </div>
            <div style="display:table-cell">
                <div class="input-control text">
                    <label style="margin-left:10px;">{{Model.UserName}}</label>
                </div>
            </div>
        </div>
        <br />
        <div class="input-control checkbox" data-role="input-control" ng-if="pageMode=='Cancel'">
            <label>
                <input ng-model="Model.SendEmail" type="checkbox">
                <span class="check"></span>
                Send cancellation email to recipient
            </label>
        </div>
        <div class="clearfix"></div>
        <div style="display:table-row" ng-if="pageMode=='Reminder'">
            <div style="display:table-cell;text-align:right;font-size:20px">
                <span>
                    Cc:
                </span>
            </div>
            <div style="display:table-cell">
                <div class="input-control text" data-role="input-control" ng-class="{'error-state':MC.isEmpty(errors.formErrors['model.EmailCc'].Messages)}">
                    <input ng-model="Model.EmailCc" type="text" style="width:300px;margin-left:10px" id="@Html.Ang(m => m.EmailCc)" @Html.AngTooltipValidation("EmailCc") />
                </div>
            </div>
        </div>
        <br />
        <div class="clearfix"></div>
        <div style="padding-right: 10px;" ng-if="Model.SendEmail==true || pageMode=='Reminder'">
            <div class="one-half place-left">
                <div class="input-control textarea">
                    <label>
                        Note to recipient
                        <textarea ng-model="Model.NoteToRecipent"></textarea>
                    </label>
                </div>
            </div>
            <div class="clearfix"></div>
        </div>
        <button type="button" class="link place-left large button" data-ng-click="cancelAction()">Back</button>
        <button class="success place-right large button" ng-if="pageMode=='Cancel'" ng-click="Cancelation()" id="CancelInvoice">Submit</button>
        <button class="success place-right large button" ng-if="pageMode=='Reminder'" ng-click="Reminder()" id="ReminderInvoice">Submit</button>
        <div class="clearfix"></div>
    </form>

</div>